### Method

# EDataCal CalCache contains

since: 3.26

#### Declaration [src]

    gboolean
    e_cal_cache_contains (
      ECalCache* cal_cache,
      const gchar* uid,
      const gchar* rid,
      ECacheDeletedFlag deleted_flag
    )

#### Description [src]

Checkes whether the `cal_cache` contains an object with the given `uid` and `rid`. The `rid` can be an empty string or `NULL` to search for the master object, otherwise the check is done for a detached instance, not for a recurrence instance.

Available since: 3.26

#### Parameters

`uid`

  Type: `const gchar*`

  Component UID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `const gchar*`

  Optional component Recurrence-ID or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`deleted_flag`

  Type: `ECacheDeletedFlag`

  One of `ECacheDeletedFlag` enum.

#### Return value

Type: `gboolean`

Whether the object had been found.